View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006559ParaView(No Category)public2008-03-07 07:482009-05-13 13:59
ReporterBerk Geveci 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0006559: Add block labeling
DescriptionAdd ability to label blocks (of multi-block datasets). May need changes to:
* Pipeline
* Data objects
* Readers
* Information objects
* GUI

After an initial design, the changes above should become children of this issue as necessary.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0011496)
Utkarsh Ayachit (administrator)
2008-04-22 16:57

Fix awaiting VTK 5.2. branch since patch includes changes to vtkCompositeDataSet/EnsightReaders.
(0011579)
Utkarsh Ayachit (administrator)
2008-04-29 08:58

ENH: Fixes BUG # 6559. Block names are now used by all the GUI.
ENH: vtkExtractArraysOverTime names the blocks based on which cell/pt they represent.
BUG: Fixes BUG 0006262. Fixed all extract selection filters to pass global ids.
BUG: If composite dataset has no names, use default values
----------------------------
commitid: Z5CBZc5ycsbJl01t
----------------------------
/cvsroot/ParaView3/ParaView3/Qt/Components/pqProxyInformationWidget.cxx,v <-- Qt/Components/pqProxyInformationWidget.cxx
new revision: 1.18; previous revision: 1.17
/cvsroot/ParaView3/ParaView3/Qt/Components/pqSignalAdaptorCompositeTreeWidget.cxx,v <-- Qt/Components/pqSignalAdaptorCompositeTreeWidget.cxx
new revision: 1.8; previous revision: 1.7
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVCompositeDataInformation.cxx,v <-- Servers/Common/vtkPVCompositeDataInformation.cxx
new revision: 1.14; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVCompositeDataInformation.h,v <-- Servers/Common/vtkPVCompositeDataInformation.h
new revision: 1.7; previous revision: 1.6
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVDataInformation.cxx,v <-- Servers/Common/vtkPVDataInformation.cxx
new revision: 1.50; previous revision: 1.49
/cvsroot/ParaView3/ParaView3/Servers/Common/vtkPVDataInformation.h,v <-- Servers/Common/vtkPVDataInformation.h
new revision: 1.26; previous revision: 1.25
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkCompositeDataSet.cxx,v <-- VTK/Filtering/vtkCompositeDataSet.cxx
new revision: 1.13; previous revision: 1.12
/cvsroot/ParaView3/ParaView3/VTK/Filtering/vtkCompositeDataSet.h,v <-- VTK/Filtering/vtkCompositeDataSet.h
new revision: 1.14; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractArraysOverTime.cxx,v <-- VTK/Graphics/vtkExtractArraysOverTime.cxx
new revision: 1.20; previous revision: 1.19
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractSelectedFrustum.cxx,v <-- VTK/Graphics/vtkExtractSelectedFrustum.cxx
new revision: 1.13; previous revision: 1.12
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractSelectedIds.cxx,v <-- VTK/Graphics/vtkExtractSelectedIds.cxx
new revision: 1.28; previous revision: 1.27
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractSelectedLocations.cxx,v <-- VTK/Graphics/vtkExtractSelectedLocations.cxx
new revision: 1.15; previous revision: 1.14
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractSelectedThresholds.cxx,v <-- VTK/Graphics/vtkExtractSelectedThresholds.cxx
new revision: 1.14; previous revision: 1.13
/cvsroot/ParaView3/ParaView3/VTK/Graphics/vtkExtractSelection.cxx,v <-- VTK/Graphics/vtkExtractSelection.cxx
new revision: 1.24; previous revision: 1.23
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSight6BinaryReader.cxx,v <-- VTK/IO/vtkEnSight6BinaryReader.cxx
new revision: 1.58; previous revision: 1.57
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSight6Reader.cxx,v <-- VTK/IO/vtkEnSight6Reader.cxx
new revision: 1.68; previous revision: 1.67
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSightGoldBinaryReader.cxx,v <-- VTK/IO/vtkEnSightGoldBinaryReader.cxx
new revision: 1.77; previous revision: 1.76
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSightGoldReader.cxx,v <-- VTK/IO/vtkEnSightGoldReader.cxx
new revision: 1.63; previous revision: 1.62
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSightReader.cxx,v <-- VTK/IO/vtkEnSightReader.cxx
new revision: 1.77; previous revision: 1.76
/cvsroot/ParaView3/ParaView3/VTK/IO/vtkEnSightReader.h,v <-- VTK/IO/vtkEnSightReader.h
new revision: 1.36; previous revision: 1.35
(0011659)
Alan Scott (manager)
2008-05-01 17:51

Not tested, since this functionality has to be added to the ensight reader. Another bug has been entered to add this functionality.

- Issue History
Date Modified Username Field Change
2008-03-07 07:48 Berk Geveci New Issue
2008-03-07 07:49 Berk Geveci Assigned To => Berk Geveci
2008-03-07 07:49 Berk Geveci Status backlog => tabled
2008-03-07 07:49 Berk Geveci Target Version => Multi-block support
2008-04-15 12:50 Berk Geveci Assigned To Berk Geveci => Utkarsh Ayachit
2008-04-22 16:57 Utkarsh Ayachit Note Added: 0011496
2008-04-29 08:58 Utkarsh Ayachit Status tabled => @80@
2008-04-29 08:58 Utkarsh Ayachit Resolution open => fixed
2008-04-29 08:58 Utkarsh Ayachit Note Added: 0011579
2008-05-01 17:51 Alan Scott Status @80@ => closed
2008-05-01 17:51 Alan Scott Note Added: 0011659
2009-05-13 13:58 Utkarsh Ayachit Target Version Multi-block support => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker